$INCLUDE: 'C:\FG\INTRFACE.FOR'

      PROGRAM MAIN

      INTEGER*2 VOICE_ARRAY(61)
      INTEGER*2 I
      INTEGER*2 VOLUME
      INTEGER*2 FG_PLAYING, FG_TESTMODE

      IF (FG_TESTMODE(9,0) .EQ. 0) THEN
         STOP 'This program requires a PCjr or a Tandy 1000 system.'
      END IF

      I = 1

      DO 10 VOLUME = 1,15
         VOICE_ARRAY(I) = 1
         I = I + 1
         VOICE_ARRAY(I) = 500
         I = I + 1
         VOICE_ARRAY(I) = VOLUME
         I = I + 1
         VOICE_ARRAY(I) = 16
         I = I + 1
10    CONTINUE
      VOICE_ARRAY(I) = 0

      CALL FG_VOICES(VOICE_ARRAY,1)

20    IF (FG_PLAYING() .EQ. 1) THEN
         WRITE(6,*) 'Still playing...'
         GO TO 20
      END IF

      STOP ' '
      END
